Base Language - Bug #8119

JavaDoc build task produces more warnings in Windows in comparison to Linux
12/13/2023 09:16 AM - Galya B

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Galya B % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

billable: No case_hum:
vendor_id: GCD version:
Description

History

#1 - 12/13/2023 09:19 AM - Galya B
- File trunk-r14864-linux-javadoc.log added
- File trunk-r14864-win-javadoc.log added

J/gradlew ant-javadoc build task produces more warnings in Windows in comparison to Linux.

#2 - 12/13/2023 10:15 AM - Greg Shah

Could you be building on Windows using the Oracle JDK? The Oracle JDK generates a ver long list of javadoc errors as compared with OpendDK.

#3 - 12/13/2023 10:30 AM - Galya B

Yes, it's Oracle. This explains it.

But the Oracle ones are valid issues. Can we somehow make Open JDK show them, or this is a door we don't want to open?

#4 - 12/13/2023 10:49 AM - Greg Shah

| don't know of a way to make OpendDK show them. I'd be glad to see them (as long as it was optional) because to find these now we have to run
Oracle JDK which is extra work.

Anyway, our policy is to fix these as we go along but only to require the ones that show in OpendDK. We'd like to get this 100% clean someday but it
is not the highest priority since we have no customers that actually use the Oracle JDK.

#5 - 12/14/2023 02:12 AM - Galya B
- File trunk-r14864-linux-javadoc-xdoclint-all.log added
- File ant-javadoc.diff added

Here it is: The same output with -Xdoclint:all. So do we want to open the Pandora box?

#6 - 12/14/2023 08:57 AM - Greg Shah

So do we want to open the Pandora box?
No, but | do want to have a -D option that we can use to enable it. Maybe we add something like -Dverbose_javadoc_errors=true.

#7 - 12/14/2023 09:08 AM - Galya B

Once upon a time | got a project with configured linter that wasn't used. | enabled a test plan in the CI/CD for each feature branch. If a file was
updated, the linter ran for it. The failed branch couldn't be merged before the issues were resolved. You can't imagine how quickly the project got
back on track. | would love to see FWD with linter in CI/CD. Then Constantin will not have to mention ant-javadoc to me in every code review, while
other reviewers are sneaking in new issues.

Back to reality: I'll have to look into how to pass in -D options down to ant.

#8 - 12/14/2023 09:15 AM - Greg Shah

ant automatically picks up any -D options on the command line and turns them into properties that can be referenced in the .xml script.

#9 - 12/14/2023 10:30 AM - Galya B
- File 14875.diff added

- % Done changed from 0 to 100

- Assignee set to Galya B

- Status changed from New to WIP

8119a r14874,14875: Option added to javadoc task to show all warnings.

#10 - 12/14/2023 10:30 AM - Galya B

- Status changed from WIP to Review

#11 - 12/22/2023 12:35 PM - Greg Shah

- Status changed from Review to Merge Pending

Code Review Task Branch 8119a Revisions 14874 and 14875
The changes are good.

Please rebase and we will schedule the merge.

#12 - 01/01/2024 03:00 AM - Galya B
Greg Shah wrote:

Code Review Task Branch 8119a Revisions 14874 and 14875
The changes are good.

Please rebase and we will schedule the merge.

8119a rebased on trunk r14906.
#13 - 01/02/2024 07:56 AM - Greg Shah

You can merge now.

#14 - 01/02/2024 08:05 AM - Galya B
- Status changed from Merge Pending to Test

8119a was merged to trunk as rev. 14907 and archived.

#15 - 01/02/2024 08:11 AM - Greg Shah
Please add this new property to Build Properties.

#16 - 01/02/2024 08:23 AM - Galya B

New param javadoc.verbose added to Building_ FWD_From_Source.

#17 - 01/02/2024 08:28 AM - Greg Shah

- Status changed from Test to Closed
